Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Crashlog created at 2018-01-22 16:51:03 +0000
===== MESSAGE:
TypeError: no implicit conversion of nil into String
===== STACK TRACE:
0. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib/nanoc/checking/checks/external_links.rb:84:in `+'
1. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib/nanoc/checking/checks/external_links.rb:84:in `block in validate'
2. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib/nanoc/checking/checks/external_links.rb:62:in `times'
3. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib/nanoc/checking/checks/external_links.rb:62:in `validate'
4. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib/nanoc/checking/checks/external_links.rb:40:in `block in select_invalid'
5. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/parallel-1.12.1/lib/parallel.rb:484:in `call_with_index'
6. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/parallel-1.12.1/lib/parallel.rb:342:in `block (2 levels) in work_in_threads'
7. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/parallel-1.12.1/lib/parallel.rb:495:in `with_instrumentation'
8. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/parallel-1.12.1/lib/parallel.rb:341:in `block in work_in_threads'
===== VERSION INFORMATION:
Nanoc 4.8.19 © 2007-2018 Denis Defreyne.
Running ruby 2.4.3 (2017-12-14) on x86_64-darwin17 with RubyGems 2.6.14.
===== SYSTEM INFORMATION:
Darwin kite.cs.iay.org.uk 17.3.0 Darwin Kernel Version 17.3.0: Thu Nov 9 18:09:22 PST 2017; root:xnu-4570.31.3~1/RELEASE_X86_64 x86_64
===== INSTALLED GEMS:
addressable 2.5.2
adsf 1.4.0
bundler 1.14.6
coderay 1.1.2
colored 1.2
concurrent-ruby 1.0.5
cri 2.10.1
ddmemoize 1.0.0
ddmetrics 1.0.0
ddplugin 1.0.1
ffi 1.9.18
formatador 0.2.5
guard 2.14.1
guard-compat 1.2.1
guard-nanoc 2.1.2
hamster 3.0.0
json 2.1.0
kramdown 1.16.2
listen 3.1.5
lumberjack 1.0.12
method_source 0.9.0
mini_portile2 2.3.0
nanoc 4.8.19
nenv 0.3.0
nokogiri 1.8.1
notiffany 0.1.1
parallel 1.12.1
pry 0.11.3
public_suffix 3.0.1
rack 2.0.3
rb-fsevent 0.10.2
rb-inotify 0.9.10
ref 2.0.0
rouge 3.1.0
ruby_dep 1.5.0
sass 3.5.4
sass-listen 4.0.0
shellany 0.0.1
slow_enumerator_tools 1.1.0
thor 0.20.0
w3c_validators 1.3.3
===== GEMFILE.LOCK:
GIT
remote: git://github.com/nanoc/nanoc.git
revision: 6b5b66edc64f8abb7e83e6c575fb648e9041bf1e
specs:
nanoc (4.8.19)
addressable (~> 2.5)
cri (~> 2.8)
ddmemoize (~> 1.0)
ddmetrics (~> 1.0)
ddplugin (~> 1.0)
hamster (~> 3.0)
parallel (~> 1.12)
ref (~> 2.0)
slow_enumerator_tools (~> 1.0)
GEM
remote: https://rubygems.org/
specs:
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
adsf (1.4.0)
rack (>= 1.0.0, < 3.0.0)
coderay (1.1.2)
colored (1.2)
concurrent-ruby (1.0.5)
cri (2.10.1)
colored (~> 1.2)
ddmemoize (1.0.0)
ddmetrics (~> 1.0)
ref (~> 2.0)
ddmetrics (1.0.0)
ddplugin (1.0.1)
ffi (1.9.18)
formatador (0.2.5)
guard (2.14.1)
formatador (>= 0.2.4)
listen (>= 2.7, < 4.0)
lumberjack (~> 1.0)
nenv (~> 0.1)
notiffany (~> 0.0)
pry (>= 0.9.12)
shellany (~> 0.0)
thor (>= 0.18.1)
guard-compat (1.2.1)
guard-nanoc (2.1.2)
guard (~> 2.8)
guard-compat (~> 1.0)
nanoc (>= 4.3.8, < 5.0)
hamster (3.0.0)
concurrent-ruby (~> 1.0)
json (2.1.0)
kramdown (1.16.2)
listen (3.1.5)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
ruby_dep (~> 1.2)
lumberjack (1.0.12)
method_source (0.9.0)
mini_portile2 (2.3.0)
nenv (0.3.0)
nokogiri (1.8.1)
mini_portile2 (~> 2.3.0)
notiffany (0.1.1)
nenv (~> 0.1)
shellany (~> 0.0)
parallel (1.12.1)
pry (0.11.3)
coderay (~> 1.1.0)
method_source (~> 0.9.0)
public_suffix (3.0.1)
rack (2.0.3)
rb-fsevent (0.10.2)
rb-inotify (0.9.10)
ffi (>= 0.5.0, < 2)
ref (2.0.0)
rouge (3.1.0)
ruby_dep (1.5.0)
sass (3.5.4)
sass-listen (~> 4.0.0)
sass-listen (4.0.0)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
shellany (0.0.1)
slow_enumerator_tools (1.1.0)
thor (0.20.0)
w3c_validators (1.3.3)
json (>= 1.8)
nokogiri (~> 1.6)
PLATFORMS
ruby
DEPENDENCIES
adsf
guard-nanoc
kramdown
nanoc!
nokogiri
rouge
sass (~> 3.4)
w3c_validators
BUNDLED WITH
1.14.6
===== LOAD PATHS:
0. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ref-2.0.0/lib
1. /opt/local/lib/ruby2.4/gems/2.4.0/gems/bundler-1.14.6/lib
2. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/w3c_validators-1.3.3/lib
3. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/sass-3.5.4/lib
4. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/sass-listen-4.0.0/lib
5. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/rouge-3.1.0/lib
6. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/nokogiri-1.8.1/lib
7. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/extensions/x86_64-darwin-17/2.4.0/nokogiri-1.8.1
8. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/mini_portile2-2.3.0/lib
9. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/kramdown-1.16.2/lib
10. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/json-2.1.0/lib
11. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/extensions/x86_64-darwin-17/2.4.0/json-2.1.0
12. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/guard-nanoc-2.1.2/lib
13. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/bundler/gems/nanoc-6b5b66edc64f/nanoc/lib
14. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/slow_enumerator_tools-1.1.0/lib
15. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/parallel-1.12.1/lib
16. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/hamster-3.0.0/lib
17. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/guard-compat-1.2.1/lib
18. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/guard-2.14.1/lib
19. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/thor-0.20.0/lib
20. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/pry-0.11.3/lib
21. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/method_source-0.9.0/lib
22. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/notiffany-0.1.1/lib
23. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/shellany-0.0.1/lib
24. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/nenv-0.3.0/lib
25. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/lumberjack-1.0.12/lib
26. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/listen-3.1.5/lib
27. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ruby_dep-1.5.0/lib
28. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/rb-inotify-0.9.10/lib
29. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/rb-fsevent-0.10.2/lib
30. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/formatador-0.2.5/lib
31. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ffi-1.9.18/lib
32. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/extensions/x86_64-darwin-17/2.4.0/ffi-1.9.18
33. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ddplugin-1.0.1/lib
34. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ddmemoize-1.0.0/lib
35. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ref-2.0.0/lib
36. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/ddmetrics-1.0.0/lib
37. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/cri-2.10.1/lib
38. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/concurrent-ruby-1.0.5/lib
39. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/colored-1.2/lib
40. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/coderay-1.1.2/lib
41. /opt/local/lib/ruby2.4/gems/2.4.0/gems/bundler-1.14.6/lib/gems/bundler-1.14.6/lib
42. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/adsf-1.4.0/lib
43. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/rack-2.0.3/lib
44. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/addressable-2.5.2/lib
45. /Volumes/Cased/git/iay/iay/site/vendor/ruby/2.4.0/gems/public_suffix-3.0.1/lib
46. /opt/local/lib/ruby2.4/site_ruby/2.4.0
47. /opt/local/lib/ruby2.4/site_ruby/2.4.0/x86_64-darwin17
48. /opt/local/lib/ruby2.4/site_ruby
49. /opt/local/lib/ruby2.4/vendor_ruby/2.4.0
50. /opt/local/lib/ruby2.4/vendor_ruby/2.4.0/x86_64-darwin17
51. /opt/local/lib/ruby2.4/vendor_ruby
52. /opt/local/lib/ruby2.4/2.4.0
53. /opt/local/lib/ruby2.4/2.4.0/x86_64-darwin17
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment